2008-09-23  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: version 1.20.1

2008-01-02  Li Yuan  <li.yuan@sun.com>

	Patch from <yselkowitz@users.sourceforge.net>
	* gail-gnome/bonobo-accessibility-init.c:
	(impl_bonobo_control_frame_get_parent_accessible),
	(impl_bonobo_control_get_accessible), (gtk_module_init),
	(gnome_accessibility_module_shutdown):
	* gail-gnome/bonobo-control-accessible.c:
	(impl_bonobo_control_accessible_get_parent),
	(bonobo_control_accessible_new):
	* gail-gnome/bonobo-control-frame-accessible.c:
	(impl_bonobo_control_frame_accessible_get_child_count),
	(impl_bonobo_control_frame_accessible_get_child_at_index),
	(bonobo_control_frame_accessible_new):
	* gail-gnome/bonobo_plug_atk_object.c:
	(bonobo_plug_atk_object_get_accessible),
	(bonobo_plug_atk_object_new):
	* gail-gnome/bonobo_socket_atk_object.c:
	(bonobo_socket_atk_object_get_accessible),
	(bonobo_socket_atk_object_new):
	* gail-gnome/gail-gnome-debug.h:
	#Bug 502793. Renaming dprintf to debug_printf to prevent conflicts.

2007-09-17  Li Yuan  <li.yuan@sun.com>

	* configure.in, README: Rev to 1.20.0.

2007-07-09  Li Yuan  <li.yuan@sun.com>

	* configure.in, NEWS, README: Rev to 1.19.5.

2007-07-09  Li Yuan  <li.yuan@sun.com>

	* gail-gnome/bonobo-accessibility-init.c:
	(gnome_accessibility_module_init):
	Bug #455120. Only print accessibility enabled messages when
	GNOME_ACCESSIBILITY=1.

2007-03-12  Li Yuan  <li.yuan@sun.com>

	* configure.in, NEWS, README: Rev to 1.18.0 for gnome 2.18.

2006-12-04  Bill Haneman <bill.haneman@sun.com>

	* Added Li Yuan <li.yuan@sun.com> to MAINTAINERS.

2006-09-25  Christian Persch  <chpe@cvs.gnome.org>

	* .cvsignore:
	* Makefile.am:
	* autogen.sh:
	* configure.in:
	* gail-gnome/Makefile.am:
	Update gail-gnome to automake 1.9. Bug #341843.

2006-09-25  Christian Persch  <chpe@cvs.gnome.org>

	* gail-gnome/bonobo-accessibility-init.c:
	* gail-gnome/bonobo_plug_atk_object.c:
	(bonobo_plug_atk_object_get_type):
	* gail-gnome/bonobo_plug_atk_object.h:
	* gail-gnome/bonobo_plug_atk_object_factory.c:
	(bonobo_plug_atk_object_factory_get_type),
	(bonobo_plug_atk_object_factory_new):
	* gail-gnome/bonobo_plug_atk_object_factory.h:
	* gail-gnome/bonobo_socket_atk_object.c:
	(bonobo_socket_atk_object_get_type):
	* gail-gnome/bonobo_socket_atk_object.h:
	* gail-gnome/bonobo_socket_atk_object_factory.c:
	(bonobo_socket_atk_object_factory_get_type),
	(bonobo_socket_atk_object_factory_new):
	* gail-gnome/bonobo_socket_atk_object_factory.h:
	* gail-gnome/panel-applet-atk-object-factory.c:
	(panel_applet_atk_object_factory_get_type),
	(panel_applet_atk_object_factory_new):
	* gail-gnome/panel-applet-atk-object-factory.h:
	* gail-gnome/panel-applet-atk-object.c:
	(panel_applet_atk_object_get_type):
	* gail-gnome/panel-applet-atk-object.h:
	Fix compiler warnings about mismatched/undefined prototypes;
	libgail-gnome should now be -Werror clean. Fixes bug #341845.

2006-01-28  Bill Haneman <bill.haneman@sun.com>

	* configure.in, NEWS, README: Rev to 1.1.3.

	* gail-gnome/bonobo-accessibility-init.c:
	(impl_bonobo_control_frame_get_parent_accessible):
	Revert this change, as it was incorrect.  This method
	should return the parent object after all.

	* gail-gnome/bonobo_socket_atk_object.c:
	(bonobo_socket_atk_object_get_accessible): 
	Revert previous change. 

2005-11-18  Bill Haneman <bill.haneman@sun.com>
	
	Consistency fixes for parent-child hierarchy
	of embedded widgets (bug #321814).

	* configure.in, README, NEWS: Revved to 1.1.2.
	
	* gail-gnome/bonobo-accessibility-init.c:
	(impl_bonobo_control_frame_get_parent_accessible):
	Return accessible for "bonobo control frame" widget,
	instead of parent, for symmetry/consistency with
	Accessible_getChild(...) and
	bonobo_socket_atk_object_get_accessible().
	
	* gail-gnome/bonobo_plug_atk_object.c:
	(bonobo_plug_atk_object_init): Set the role of the 
	bonobo-plug to ATK_ROLE_EMBEDDED.

	* gail-gnome/bonobo_socket_atk_object.c:
	(bonobo_socket_atk_object_get_accessible): 
	Return the ControlFrame parent accessible instead of
	the control accessible, for consistency with.
	BonoboControlFrame::getParentAccessible.

2005-06-15  Luis Villa <luis.villa@gmail.com>

	* tests/Makefile.am disable 'make check' as it currently
	segfaults- bug #160384. Patch from Brent Smith.
	
2005-04-19  Bill Haneman <bill.haneman@sun.com>

	* revved to 1.1.1.

2005-04-13  Leena Gunda <leena.gunda@wipro.com>

	* gail-gnome/bonobo_socket_atk_object.c:
	(bonobo_socket_atk_object_new): Add a weak ref to the 
	bonobo_control_frame if it exists.
	(bonobo_socket_finalize): Remove the weak ref if the 
	bonobo_control_frame still exists.
	(bonobo_control_frame_destroy_notify): The notify func to 
	be called when the bonobo_control_frame is destroyed.
	Fixes bug #170339.

2004-07-26  Bill Haneman <bill.haneman@sun.com>

	* revved to 1.1.0 for gnome-2-7/2-8 series.

	* gail-gnome/panel-applet-atk-object.[ch]:
	Panel applet AtkObjects now have ROLE_EMBEDDED.
	
2004-05-11  Bill Haneman <bill.haneman@sun.com>

	* gail-gnome/panel-applet-atk-object.[ch]
	* gail-gnome/panel-applet-atk-object-factory.[ch]:
	(panel_applet_atk_object_factory_create_accessible):
	Changed to panel_applet_atk_object_factory_create_object;
	Re-namespaced the "_accessible_" methods to "_atk_object_"
	generally.
	(panel_applet_atk_object_factory_create_object): 
	Fixed problems with missing declaration.
	Thanks to Stanislav Brabec for finding this!
	
2004-04-19  Bill Haneman <bill.haneman@sun.com>

	* configure.in: Revved to 1.0.4.

2004-03-31  Padraig O'Briain  <padraig.obriain@sun.com>

	* gail-gnome/bonobo_plug_atk_object.c (bonobo_plug_get_index_in_parent):
	New function to fix bug #134832.

2004-03-05  Bill Haneman <bill.haneman@sun.com>

	* configure.in: Revved to 1.0.3 

	* gail-gnome/bonobo-accessibility-init.c:
	(gail_bonobo_ui_register_atk_factories): 
	Register an atk factory for PanelApplet instances.

	* gail-gnome/panel-applet-atk-object-factory.h, gail-gnome/panel-applet-atk-object-factory.c:
	New files, implementing factory instance for PanelAppletClass.

	* gail-gnome/panel-applet-atk-object.h, gail-gnome/panel-applet-atk-object.c:
	New files which implement AtkObject (and in particular AtkAction)
	for instances of PanelApplet (which otherwise only inherit the
	gail implementation for GailWidget).  Provides three actions for
	panel applets, "press", "release", and "popup-menu".

2003-11-05  Padraig O'Briain  <padraig.obriain@sun.com>

	* gail-gnome/bonobo_socket_atk_object.c: Change bonobo_plug_finalize
	to bonobo_socket_finalize

2002-12-09  Bill Haneman <bill.haneman@sun.com>

	* configure.in: Revved to 1.0.2 (matches dist now).
	
	* MAINTAINERS: Added file.

2002-11-22  Bill Haneman <bill.haneman@sun.com>

	* configure.in:
	Fix to work with gtk-doc versions > 9.

2002-09-09  Padraig O'Briain  <padraig.obriain@sun.com>

	* gail-gnome/bonobo_socket_atk_object.c
	(bonobo_socket_atk_object_get_frame): Omit cast to BONOBO_CONTROL_FRAME
	as it may be NULL.
	(bonobo_socket_atk_object_new): Check socket->frame is non-NULL before
	referring to it. (bug #92465)
	
2002-09-05  jacob berkman  <jacob@ximian.com>

	* autogen.sh (DIE): use automake-1.4

2002-08-07  Padraig O'Briain  <padraig.obriain@sun.com>

	* gail-gnome/bonobo-plug-atk-object.c 
	(bonobo_plug_atk_object_get__type): Derive BonoboPlugAtkObject from
	accessible object for GtkPlug instead of GtkContainer. (bug #89595)

2002-06-20  Padraig O'Briain  <padraig.obriain@sun.com>

	* gail-gnome/Makefile.am:
	Make libgail-gnome a module and install into module directory.
	
2002-04-19  Padraig O'Briain  <padraig.obriain@sun.com>

	* Remove following files:
	gail-gnome/bonobo-plug-atk-object.c
	gail-gnome/bonobo-plug-atk-object.h
	gail-gnome/bonobo-plug-atk-object_factory.c
	gail-gnome/bonobo-plug-atk-object_factory.h
	gail-gnome/bonobo-socket-atk-object.c
	gail-gnome/bonobo-socket-atk-object.h
	gail-gnome/bonobo-socket-atk-object_factory.c
	gail-gnome/bonobo-socket-atk-object_factory.h

	* gail-gnome/bonobo-accessibility-init.c 
	gail-gnome/bonobo-control-accessible.c
	gail-gnome/bonobo-control-accessible.h
	gail-gnome/bonobo-control-frame-accessible.c
	gail-gnome/bonobo-control-frame-accessible.h
	gail-gnome/bonobo_plug_atk_object.c
	gail-gnome/bonobo_plug_atk_object.h
	gail-gnome/bonobo_plug_atk_object_factory.c
	gail-gnome/bonobo_plug_atk_object_factory.h
	gail-gnome/bonobo_socket_atk_object.c
	gail-gnome/bonobo_socket_atk_object.h
	gail-gnome/bonobo_socket_atk_object_factory.c
	gail-gnome/bonobo_socket_atk_object_factory.h
	gail-gnome/gail-gnome-debug.h test/test-gail-gnome.c:
	Standardize file header

2002-03-27  Michael Meeks  <michael@ximian.com>

	* Version 0.5.0

2002-03-26  Michael Meeks  <michael@ximian.com>

	* gail-gnome/gail-gnome-debug.h: only turn
	debug on when explicitely enabled, too much
	churn in nautilus for G_ENABLE_DEBUG.

2002-03-16  Bill Haneman  <bill.haneman@sun.com>

	* gail-gnome/bonobo_plug_atk_object.c
	(bonobo_plug_atk_object_init):
	Set the object's role to ATK_ROLE_WINDOW
	(as distinct from ATK_ROLE_FRAME which is
	reserved for toplevels).

	* test/test-gail-gnome.c:
	(setup_inproc_control, setup_outproc_control):
	Added calls to atk_object_set_name for the
	inproc and outproc control widgets (helps with
	diagnosis and debugging).
	(test_gail_gnome):
	Removed #define guards on "test_spi_stuff"
	calls, since they work now.	

2002-03-15  Bill Haneman  <bill.haneman@sun.com>

	* test/test-gail-gnome.c:
	(main): removed putenv calls (for testing).
	(test_gail_gnome): reinstated out-of-process 
	component tests.
	(test_gail_gnome, setup_inproc_control, setup_outproc_control): 
	Added the components into a GtkWindow and GtkVBox, so 
	that they get mapped to the screen.
	
2002-03-14  Michael Meeks  <michael@ximian.com>

	* gail-gnome/bonobo-control-accessible.c
	(bonobo_control_accessible_new): add IS_REMOTE_OBJECT
	assertion.

	* gail-gnome/bonobo-control-frame-accessible.c
	(bonobo_control_frame_accessible_new): ditto.

	* test/test-gail-gnome.c (main): upd. init.

2002-03-13  Michael Meeks  <michael@ximian.com>

	* gail-gnome/bonobo_socket_atk_object.c
	(bonobo_socket_atk_object_get_accessible): handle
	uninitialized returns correctly.

	* gail-gnome/bonobo_plug_atk_object.c
	(bonobo_plug_atk_object_get_accessible): ditto.

2002-03-13  Bill Haneman <bill.haneman@sun.com>

	* gail-gnome/bonobo-control-accessible.c
	(bonobo_control_accessible_class_init):
	Changed cast to use macro (should have no
	functional impact).
	
	* gail-gnome/bonobo-control-frame-accessible.c
	(bonobo_control_frame_accessible_class_init):
	Fixed nasty misuse of method overriding in which 
	we were mistakenly overriding the *parent* class's
	method.
	(bonobo_control_frame_accessible_new): added assertion.
	
	
	* gail-gnome/bonobo_socket_atk_object.c 
	(bonobo_socket_atk_object_get_accessible):
	Added assertions.

	* gail-gnome/bonobo_plug_atk_object.c
	(bonobo_plug_atk_object_get_accessible):
	Added assertion.
	
	* test/test-gail-gnome (main):
	Changed order of GTK_MODULES to gail:gail-gnome:atk-bridge.

2002-03-13  Michael Meeks  <michael@ximian.com>

	* gail-gnome/bonobo-accessibility-init.c
	(gnome_accessibility_module_init): impl.
	(gnome_accessibility_module_shutdown): impl.

2002-01-28  Bill Haneman     <bill.haneman@sun.com>

	* configure.in:
	Revved to 0.4 for GNOME-2 alpha.

2002-01-28  Mark McLoughlin  <mark@skynet.ie>

	* gail-gnome/bonobo-control-accessible.c:
	(bonobo_control_accessible_new): wrap the accessible around
	the plug, not the plug's child.

	* gail-gnome/bonobo_plug_atk_object_factory.c,
	* gail-gnome/bonobo_socket_atk_object_factory.c,
	* gail-gnome/bonobo_plug_atk_object.[ch],
	* gail-gnome/bonobo_socket_atk_object.[ch]: pass sockets and
	plugs to new() methods instead of controls/frames. Derive
	from GailWidget and GailContainer using anonymous inheritance
	hack. Update to use SpiRemoteObject as an interface.

	* test/test-gail-gnome.c: expand tests a little and add an out of
	process test.

2002-01-23  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: add --enable-debug option, dependancy
	checks for regressions tests and removeed unnecessary
	pkg-config calls.

	* gail-gnome/Makefile.am: use debug flags.

	* gail-gnome/bonobo-accessibility-init.c:
	(gtk_module_init): kill log/message handlers.
	(gail_accessibility_finalize): mark unused.

	* gail-gnome/bonobo-control-accessible.[ch]:
	* gail-gnome/bonobo-control-frame-accessible.[ch]:
	* gail-gnome/bonobo_plug_atk_object.[ch]:
	* gail-gnome/bonobo_plug_atk_object_factory.[ch]:
	* gail-gnome/bonobo_socket_atk_object.[ch]:
	* gail-gnome/bonobo_socket_atk_object_factory.[ch]:
	mostly cleanups, with some fixes.

	* test/*: beginnings of regression tests.

	* Makefile.am: add test subdir.

2002-01-10 Bill Haneman <bill.haneman@sun.com>

	* configure.in:
	Fix package check; check for libspi-1.0 package instead of
	at-spi-1.0 package.

	* Makefile.am:
	Replace (incorrect) references to xml-i18n-* with
	'intltool-*'.

2002-01-10 Bill Haneman <bill.haneman@sun.com>

	* gail-gnome/bonobo-control-accessible.c:
	* gail-gnome/bonobo-control-frame-accessible.c:
	Replace calls to spi_accessible_new (which used a buggy codepath
	in libspi) with spi_accessible_construct.
	
2002-01-07 Bill Haneman <bill.haneman@sun.com>

	* gail-gnome/bonobo_plug_atk_object_factory.c:
	* gail-gnome/bonobo_socket_atk_object_factory.c:
	Fixed misnaming bug in class_init funcs.

	* gail-gnome/bonobo-accessible-init.c:
	Added some print and error logging funcs to write to /tmp/bonobo-*
	files, to enhance early debuging efforts.

	* gail-gnome/*.c:
	Added some g_print, g_message calls.
	
2002-01-07 Bill Haneman <bill.haneman@sun.com>

	* gail-gnome/bonobo_plug_atk_object.c:
	* gail-gnome/bonobo_socket_atk_object.c:
	Added missing bonobo_plug/socket_atk_object_new () methods.

	Added some (temporary) g_prints.

2002-01-03 Bill Haneman <bill.haneman@sun.com>

	* Initial checkin.
